<template>
  <v-container>
    <v-row class="ma-0 grey lighten-2 rounded mt-10 pa-4">
      <v-col cols="6">
        <v-sheet v-bind="sheetProps" class="d-flex justify-center align-center" >
          <text-component :text="text" :textColor="'grey--text'"/>
        </v-sheet>
      </v-col>
      <v-col>
        <v-sheet v-bind="sheetProps" class="d-flex justify-center align-center">
          <Button :text="'Start Game ...'"  :color="'orange darken-1'" @clicked="$router.push('/game')"/>
        </v-sheet>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import TextComponent from '~/components/TextComponent.vue'
import Button from '~/components/Button.vue'
import {sheetProps} from "~/property/sheetProperty"
import {mapState} from "vuex"

export default {
  components: { TextComponent, Button },
  data(){
    return{
      sheetProps,
      text:""
    }
  },
  computed:{
    ...mapState({
      gamePoint : state => state.gameResult.gamePoint
    })
  },
  mounted(){
    this.text = `You have ${this.gamePoint} points !`
  }

}
</script>
